| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Properties | Private Attributes | List of all members
IG.Num.AnalysisRequestDto Class Reference

DTO (Data Transfer Objects) for storing contents of direct analysis request (in optimization problems). More...

Inheritance diagram for IG.Num.AnalysisRequestDto:
[legend]
Collaboration diagram for IG.Num.AnalysisRequestDto:
[legend]

## Public Member Functions
| AnalysisRequestDto ()
| Default constructor. More...
override AnalysisResults | CreateObject ()
| Creates and returns a new analysis request object. More...

## Protected Member Functions
override void | CopyFromPlain (AnalysisResults anres)
| Copies data to the current DTO from an analysis results object. More...
override void | CopyToPlain (ref AnalysisResults anres)
| Copies data from the current DTO to a vector object. More...

## Properties
int | NumParameters`[get, set]`
| Number of parameters of an optimization problem. More...
int | NumObjectives`[get, set]`
| Number of objective functions (usually 1, always less or equal to 1 - since this is not meant for multiobjective optimization). More...
int | NumConstraints`[get, set]`
| Number of constraint functions in the optimization problem. More...
int | NumEqualityConstraints`[get, set]`
| Number of equality constraints. More...
VectorDtoBase | Parameters`[get, set]`
| Vector of parameters at which response functons are requested. More...
bool | RequestedObjective`[get, set]`
| Flag indicating whether calculation of objective function is required or not. More...
bool | RequestedConstraints`[get, set]`
| Flag indicating whether calculation of constraint functions is required or not. More...
bool | RequestedObjectiveGradient`[get, set]`
| Flag indicating whether calculation of objective function gradient is required or not. More...
bool | RequestedConstraintGradients`[get, set]`
| Flag indicating whether calculation of constraint function gradients is required or not. More...
bool | RequestedObjectiveHessian`[get, set]`
| Flag indicating whether calculation of objective function Hessian is required or not. More...
bool | RequestedConstraintHessians`[get, set]`
| Flag indicating whether calculation of constraint function Hessians is required or not. More...

## Private Attributes
int | _numParameters = 1
int | _numObjectives = 1
int | _numConstraints = 0
int | _numEqualityConstraints = 0
VectorDtoBase | _parameters
bool | _reqObjective = true
bool | _reqConstraints = true
bool | _reqObjectiveGradient = false
bool | _reqConstraintGradients = false
bool | _reqObjectiveHessian = false
bool | _reqConstraintHessians = false

## Detailed Description

DTO (Data Transfer Objects) for storing contents of direct analysis request (in optimization problems).

$A Igor Aug10;

## Constructor & Destructor Documentation

IG.Num.AnalysisRequestDto.AnalysisRequestDto | ( |  | ) |
| inline

Default constructor.

## Member Function Documentation

override AnalysisResults IG.Num.AnalysisRequestDto.CreateObject | ( |  | ) |
| inline

Creates and returns a new analysis request object.

override void IG.Num.AnalysisRequestDto.CopyFromPlain | ( | AnalysisResults | anres | ) |
| inline protected

Copies data to the current DTO from an analysis results object.

Parameters

  anres | Analysis results object from which data is copied.

References IG.Num.AnalysisResults.NumConstraints, IG.Num.AnalysisResults.NumEqualityConstraints, IG.Num.AnalysisResults.NumObjectives, IG.Num.AnalysisResults.NumParameters, IG.Num.AnalysisResults.Parameters, IG.Num.AnalysisResults.ReqConstraintGradients, IG.Num.AnalysisResults.ReqConstraintHessians, IG.Num.AnalysisResults.ReqConstraints, IG.Num.AnalysisResults.ReqObjective, IG.Num.AnalysisResults.ReqObjectiveGradient, and IG.Num.AnalysisResults.ReqObjectiveHessian.

override void IG.Num.AnalysisRequestDto.CopyToPlain | ( | ref AnalysisResults | anres | ) |
| inline protected

Copies data from the current DTO to a vector object.

Parameters

  anres | Analysis results object that data is copied to.

## Member Data Documentation

int IG.Num.AnalysisRequestDto._numParameters = 1
| private

int IG.Num.AnalysisRequestDto._numObjectives = 1
| private

int IG.Num.AnalysisRequestDto._numConstraints = 0
| private

int IG.Num.AnalysisRequestDto._numEqualityConstraints = 0
| private

VectorDtoBase IG.Num.AnalysisRequestDto._parameters
| private

bool IG.Num.AnalysisRequestDto._reqObjective = true
| private

bool IG.Num.AnalysisRequestDto._reqConstraints = true
| private

bool IG.Num.AnalysisRequestDto._reqObjectiveGradient = false
| private

bool IG.Num.AnalysisRequestDto._reqConstraintGradients = false
| private

bool IG.Num.AnalysisRequestDto._reqObjectiveHessian = false
| private

bool IG.Num.AnalysisRequestDto._reqConstraintHessians = false
| private

## Property Documentation

int IG.Num.AnalysisRequestDto.NumParameters
| get set

Number of parameters of an optimization problem.

int IG.Num.AnalysisRequestDto.NumObjectives
| get set

Number of objective functions (usually 1, always less or equal to 1 - since this is not meant for multiobjective optimization).

int IG.Num.AnalysisRequestDto.NumConstraints
| get set

Number of constraint functions in the optimization problem.

int IG.Num.AnalysisRequestDto.NumEqualityConstraints
| get set

Number of equality constraints.

VectorDtoBase IG.Num.AnalysisRequestDto.Parameters
| get set

Vector of parameters at which response functons are requested.

bool IG.Num.AnalysisRequestDto.RequestedObjective
| get set

Flag indicating whether calculation of objective function is required or not.

bool IG.Num.AnalysisRequestDto.RequestedConstraints
| get set

Flag indicating whether calculation of constraint functions is required or not.

bool IG.Num.AnalysisRequestDto.RequestedObjectiveGradient
| get set

Flag indicating whether calculation of objective function gradient is required or not.

bool IG.Num.AnalysisRequestDto.RequestedConstraintGradients
| get set

Flag indicating whether calculation of constraint function gradients is required or not.

bool IG.Num.AnalysisRequestDto.RequestedObjectiveHessian
| get set

Flag indicating whether calculation of objective function Hessian is required or not.

bool IG.Num.AnalysisRequestDto.RequestedConstraintHessians
| get set

Flag indicating whether calculation of constraint function Hessians is required or not.

The documentation for this class was generated from the following file:

- igbase/data/serialization/dtos/opt/AnalysisResultsDto.cs